Name:           qman
Version:        1.4.1
Release:        %autorelease
Summary:        A more modern manual page viewer for our terminals
License:        BSD-2-Clause
URL:            https://github.com/plp13/qman
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Fixed upstream in https://github.com/plp13/qman/commit/68c705134fd8524770258e2b28386afe5c01036c
Patch0:         sigusr1_handler.patch
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  python3dist(cogapp)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(inih)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(cunit)
Requires:       man
Requires:       groff-base

%description
Qman is a modern, interactive manual page viewer for our terminals. It strives
to be easy to use for anyone familiar with the man(1) command, and also to be
fast and tiny, so that it can be used everywhere.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
rm -v %{buildroot}/%{_datadir}/doc/%{name}/{PACKAGING,TESTING}.md

%check
%meson_test

%files
%doc PACKAGING.md README.md TESTING.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_sysconfdir}/xdg/qman/
%dir %{_sysconfdir}/xdg/qman/themes/
%config(noreplace) %{_sysconfdir}/xdg/qman/qman.conf
%config(noreplace) %{_sysconfdir}/xdg/qman/themes/catppuccin_latte.conf
%config(noreplace) %{_sysconfdir}/xdg/qman/themes/modernity.conf

%changelog
%autochangelog
